<?php
// Reconsruction des tableau de config en constante
function var_config_cst($tabl_var_config,$prefix=''){
	if ( (!isset($tabl_var_config))AND (!is_array($tabl_var_config)) ) return false;
	while ($r = each($tabl_var_config))
		if (is_array($r['value'])) {
			 $pr=$prefix.'_'.$r['key'].'';
			 var_config_cst($r['value'],$pr);
		}
		else {
			if (empty($prefix))  define(strtoupper($r['key']), $r['value']);
			else   define(strtoupper($prefix."_".$r['key']), $r['value']);
		}
	return true;
}
?>